import { IExplanationMap } from "@zowe/imperative";
import { IProvisionedInstance } from "./IProvisionedInstance";
/**
 * The list of provisioned instances.
 * @export
 * @interface IProvisionedInstances
 */
export interface IProvisionedInstances {
    /**
     * Provisioned software service instances.
     * @type {IProvisionedInstance[]}
     * @memberof IProvisionedInstances
     */
    "scr-list": IProvisionedInstance[];
}
/**
 * Main explanation map object for summary output.
 * @type {IExplanationMap}
 * @memberof IProvisionedInstances
 */
export declare const explainProvisionedInstancesSummary: IExplanationMap;
/**
 * Main explanation map object for full output.
 * @type {IExplanationMap}
 * @memberof IProvisionedInstances
 */
export declare const explainProvisionedInstancesFull: IExplanationMap;
